Name:           kdesvn
Version:        1.4.1
Release:        1%{?dist}
Summary:        A subversion client for KDE4 with KIO integration

Group:          Development/Tools
License:        GPLv2+
URL:            http://kdesvn.alwins-world.de/
Source0:        http://kdesvn.alwins-world.de/downloads/kdesvn-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  subversion-devel, kdelibs-devel, neon-devel, cmake, gettext
BuildRequires:  desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils


%description
KDESvn is a frontend to the subversion vcs. In difference to most other
tools it uses the subversion C-Api direct via a c++ wrapper made by Rapid
SVN and doesn't parse the output of the subversion client. So it is a real
client itself instead of a frontend to the command line tool.

It is designed for the K-Desktop environment and uses all of the goodies
it has. It is planned for future that based on the native client some plugins
for konqueror and/or kate will made.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use the %{name} subversion wrapper library.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
cd %{_target_platform}
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%{cmake_kde4} .. \
       -DCMAKE_BUILD_TYPE=Release
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
pushd %{_target_platform}
make install VERBOSE=1 DESTDIR=$RPM_BUILD_ROOT
popd

# Desktop file
desktop-file-install --vendor=fedora \
       --add-category=Application \
       --delete-original --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 \
       $RPM_BUILD_ROOT%{_datadir}/applications/kde4/%{name}.desktop
%find_lang %{name} || touch %{name}.lang

#Don't conflict with kdesdk
rm $RPM_BUILD_ROOT%{_datadir}/kde4/services/svn*.protocol


%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
xdg-icon-resource forceupdate --theme hicolor

%postun
/sbin/ldconfig
xdg-icon-resource forceupdate --theme hicolor


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING GPL.txt
%{_bindir}/kdesvn
%{_bindir}/kdesvnaskpass
%{_libdir}/kde4/*
%{_libdir}/libsvnqt.so.*
%{_datadir}/applications/kde4/fedora-%{name}.desktop
%{_datadir}/kde4/apps/kconf_update/
%{_datadir}/kde4/apps/kdesvn/
%{_datadir}/kde4/apps/kdesvnpart/
%{_datadir}/config.kcfg/kdesvn_part.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kdesvnd.xml
%{_datadir}/doc/HTML/*/kdesvn/
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/*/*/*.svgz
%{_datadir}/kde4/services/*
%{_mandir}/man1/kdesvn*.1*


%files devel
%defattr(-,root,root,-)
%{_libdir}/libsvnqt.so
%{_includedir}/svnqt


%changelog
* Thu Oct 01 2009 Jaroslav Reznik <jreznik@redhat.com> - 1.4.1-1
- Update to 1.4.1

* Mon Aug 10 2009 Jaroslav Reznik <jreznik@redhat.com> - 1.4.0-1
- Update to 1.4.0

* Fri Apr 24 2009 - Orion Poplawski <orion@cora.nwra.com> - 1.3.0-1
- Update to 1.3.0

* Wed Mar 4 2009 - Orion Poplawski <orion@cora.nwra.com> - 1.2.4-1
- Update to 1.2.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 27 2009 - Orion Poplawski <orion@cora.nwra.com> - 1.2.3-1
- Update to 1.2.3

* Mon Nov 24 2008 - Orion Poplawski <orion@cora.nwra.com> - 1.2.2-1
- Update to 1.2.2
- Drop upstreamed patches

* Fri Oct 3 2008 - Orion Poplawski <orion@cora.nwra.com> - 1.2.1-1
- Update to 1.2.1

* Mon Sep 29 2008 - Orion Poplawski <orion@cora.nwra.com> - 1.2.0-0.20080926.1
- Update to 1.2.0.20080926, KDE4 version

* Mon Sep 29 2008 - Orion Poplawski <orion@cora.nwra.com> - 1.0.2-1
- Update to 1.0.2
- Add BR sqlite-devel needed for Qt3 build

* Thu Aug 7 2008 - Orion Poplawski <orion@cora.nwra.com> - 1.0.0-1
- Update to 1.0.0
- Drop png patch applied upstream
- Update asneeded patch
- Handle multiple languages

* Tue Jul 15 2008 - Orion Poplawski <orion@cora.nwra.com> - 0.14.6-1
- Update to 0.14.6

* Mon May 19 2008 - Orion Poplawski <orion@cora.nwra.com> - 0.14.4-1
- Update to 0.14.4

* Tue May 6 2008 - Orion Poplawski <orion@cora.nwra.com> - 0.14.3-1
- Update to 0.14.3

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.14.1-4
- Autorebuild for GCC 4.3

* Tue Dec 11 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.14.1-3
- BuildRequires: kdelibs-devel -> kdelibs3-devel

* Tue Dec 11 2007 Alex Lancaster <alexlan[AT]fedoraproject.org> - 0.14.1-2
- Rebuild for new openssl/openldap

* Mon Nov 19 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.14.1-1
- Update to 0.14.1
- Link libsvnqt.so with --as-needed
- Add patch to fix bug #388821 (dangling symlinks)

* Mon Sep  3 2007 Joe Orton <jorton@redhat.com> 0.13.0-4
- rebuild for fixed 32-bit APR (#254241)

* Tue Aug 28 2007 Orion Poplawski <orion@cora.nwra.com> - 0.13.0-3
- Rebuild for new expat

* Tue Aug 21 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.13.0-2
- Rebuild for BuildID

* Wed Aug  8 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.13.0-1
- Update to 0.13.0
- Update License tag to GPLv2+

* Wed Jun 13 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.12.1-1
- Update to 0.12.1
- Remove index.cache hacks fixed upstream

* Mon Apr 16 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.11.2-3
- Remove no longer needed .so permission fix

* Fri Apr 06 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.11.2-2
- Use %%cmake macro
- Fix shared library permissions

* Mon Mar 26 2007 - Orion Poplawski <orion@cora.nwra.com> - 0.11.2-1
- Update to 0.11.2
- Install a prebuilt en_index.cache.bz2 to fix multilib (bug #228370)

* Wed Nov  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.11.0-1
- Update to 0.11.0

* Wed Oct  4 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.10.0-1
- Update to 0.10.0

* Tue Oct  3 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.3-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 19 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.3-1
- Update to 0.9.3
- Remove patch applied upstream

* Fri Sep  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.2-1
- Update to 0.9.2, uses cmake
- Add patch from Rajko Albrecht to fix lib64 installs

* Thu Jul 27 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.9.1-1
- Update to 0.9.1, should fix bug #185165

* Mon Jun  5 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.8.4-1
- Update to 0.8.4

* Wed Mar  8 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.4-1
- Update to 0.7.4

* Mon Feb 13 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-2
- Rebuild for gcc/glibc changes

* Wed Feb  1 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.3-1
- Update to 0.7.3

* Fri Jan 20 2006 - Orion Poplawski <orion@cora.nwra.com> - 0.7.2-1
- Update to 0.7.2
- Remove gcc41 patch fixed upstream
- Remove apr-1-config and apu-1-config args - fixed upstream
- Drop srcver - bad idea

* Fri Dec 16 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-3
- Add missing files not detected by mock
- Add patch to fix gcc41 compile error

* Tue Dec 13 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-2
- Specify apr-1-config and apu-1-config to configure

* Fri Dec  9 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.1-1
- New upstream version 0.7.1

* Sun Nov 20 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.7.0-0.rc1
- New upstream version 0.7.0rc1
- Remove desktop patch fixed upstream
- Add patch to remove X11 checks from configure

* Fri Nov  4 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-2
- Make use of buildroot consistant
- Just BuildRequires the "desktop-file-utils" package
- Add post/postun update-desktop-database and gtk-update-icon-cache
- Add Application Category tag to desktop file

* Thu Nov  3 2005 - Orion Poplawski <orion@cora.nwra.com> - 0.6.3-1
- Initial Fedora Extras release
